%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	SVG

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux.de>

Summary:	Perl extension for generating Scalable Vector Graphics (SVG) documents
Name:		perl-%{perlname}
Version:	2.36
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=SVG
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Perl extension for generating Scalable Vector Graphics (SVG) documents
For more details see: http://search.cpan.org/search?module=SVG

%prep
%setup -q -n %{perlname}-%{version}

%build
# answer the questions
echo "y" | perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.36-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 2.33-2
- rebuild against perl-5.8.8
* Wed Dec 07 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.33-1
- Version update
* Mon Apr 19 2004 Christian Metzen <metzench@ccux.de> 2.28-1
- Initial Release
